
package ibcontroller;

class Encryptor {

    /**
     * Encrypts an arbitrary string by adding (p+1) to each
     * character value at 0 based index p
     * and which is >= 32 and <= 127, wrapping
     * values 127+i to 31+i.  The benefit of this encryption
     * is that it can be done by hand, if needed, yet
     * the result can be put in a .ini file without making
     * it so easy to see the real password.
     */
    public static String encrypt(String in) {
        StringBuffer sb = new StringBuffer(in.length());

        for (int i = 0; i < in.length(); i++) {
            int code = in.charAt(i);
            code += i + 1;
            while (code > 127) {
                code = code - 127 + 31;
            }
            char c = (char) code;
            sb.append(c);
        }
        return sb.toString();
    }

    /**
     * decrypts a string encrypted as in encrypt()
     */
    public static String decrypt(String in) {
        StringBuffer sb = new StringBuffer(in.length());

        for (int i = 0; i < in.length(); i++) {
            int code = in.charAt(i);
            if (code < 32 || code > 127) {
                sb.append((char) code);
                continue;
            }

            code -= (i + 1);
            while (code < 32) {
                code = code + 127 - 31;
            }
            char c = (char) code;
            sb.append(c);
        }
        return sb.toString();
    }
}
