
package ibcontroller;

import java.awt.Window;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import javax.swing.JFrame;

class ExitSessionFrameHandler implements WindowHandler {
    public void handleWindow(Window window, int eventID) {
        if (Settings.getBoolean("IbAutoClosedown", false)) return;

        if (! adjustExitSessionTime(window)) {
            System.err.println("IBController: could not change AutoLogoff time because we could not find one of the controls.");
        }
    }

    public boolean recogniseWindow(Window window) {
        if (! (window instanceof JFrame))  return false;

        String title = ((JFrame) window).getTitle();
        return (title != null &&
               (title.contains("Exit Session Setting")  ||
                    title.contains("Session-Exit-Einstellung") ));
    }

    private boolean adjustExitSessionTime(Window window) {
        Date newLogoffTime =new Date(System.currentTimeMillis() - 5 * 60 * 1000);
        Calendar cal = Calendar.getInstance();
        cal.setTime(newLogoffTime);
        String newLogoffTimeText = new SimpleDateFormat("hh:mm").format(newLogoffTime);

        Utils.setTextField(window, 0, newLogoffTimeText);

        if (cal.get(Calendar.AM_PM) == Calendar.AM) {
            if (! Utils.setRadioButtonSelected(window, "AM" /*, true*/)) return false;
            //if (! TwsListener.setRadioButtonSelected(window, "PM", false)) return false;
        } else {
            //if (! TwsListener.setRadioButtonSelected(window, "AM", false)) return false;
            if (! Utils.setRadioButtonSelected(window, "PM" /*, true*/)) return false;
        }

        if (Utils.clickButton(window, "Update")) {
        } else if (Utils.clickButton(window, "Aktualisieren")) {
        } else {
            return false;
        }

        if (Utils.clickButton(window, "Close")) {
        } else if (Utils.clickButton(window, "Schliessen")) {
        } else {
            return false;
        }

        Utils.logToConsole("AutoLogoff time changed to " +
                            newLogoffTimeText +
                            (cal.get(Calendar.AM_PM) == Calendar.AM ? "AM" : "PM"));
        return true;
    }

}

